Subject: bug#17567: 24.4.50; doc string of `define-derived-mode'

From: Stefan Kangas <[email-masked]>
Date: Sat, 25 Sep 2021 11:01:45 -0700

Eli Zaretskii <[email-masked]> writes:

>> I have now fixed this on (commit e4c9081d46).  This change will be a
>> part of the upcoming Emacs 28.1.
>
> Thanks, but IMO talking about "unquoted symbols" makes this text
> confusing.  Why did you need to say that?  My suggestion is to remove
> those sentences, they aren't needed.

Oh, I thought it made it more clear.  As a user of this function, I
basically just want to know if I need to put:

    :syntax-table foo-syntax-table

or
    :syntax-table 'foo-syntax-table

I'm fine with saying nothing, for the simple fact that these features
aren't used that much, and it's easy to just try both variants to see
which work.  But I think it would be better to say something if we can
come up with something clear.